# Get merchants

Endpoint: GET /companies/{companyId}/merchants
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `companyId` (string, required)
    The unique company identifier.

## Query parameters:

  - `parentMerchantId` (string)
    The parent merchant identifier. Used to represent hierarchy of merchant sub entities.
Can be Peach or lender's external identifier.

## Response 200 fields (application/json):

  - `count` (integer)
    Total number of items in this result.

  - `status` (integer)
    HTTP status code.

  - `data` (object)

  - `data.createdAt` (string)

  - `data.deletedAt` (string)

  - `data.id` (string)

  - `data.updatedAt` (string)

  - `data.address` (object)
    The mailing address.

  - `data.address.POBox` (string)
    Post Office Box

  - `data.address.addressLine1` (string)
    Address line 1.
If `company.allowPartialAddress=false`, then this field is required, else it is not required

  - `data.address.addressLine2` (string)
    Address line 2.

  - `data.address.city` (string)
    City.

  - `data.address.country` (string)
    Country. English short name according to
[ISO 3166-1](https://en.wikipedia.org/wiki/ISO_3166-1) standard.

  - `data.address.countyOrRegion` (string)
    County or region.

  - `data.address.object` (string)
    Enum: "address"

  - `data.address.postalCode` (string)
    Postal code. Also known as ZIP code.

  - `data.address.state` (string)
    State/Province. This is a required field if the country is US or CA.

  - `data.address.timezone` (string)
    Timezone for the address.

  - `data.businessName` (string)
    The business name of the merchant. Can be displayed in UI.

  - `data.businessTypeDisplayName` (string)
    The business type/description as shown to borrowers. For
example: 'Merchant', 'Dealer', or 'Venue'. Defaults to
'Merchant' if no value is provided.

  - `data.disputesContactEmail` (string)
    The email of the merchant's disputes department.

  - `data.disputesContactName` (string)
    The name of the merchant's disputes department.

  - `data.disputesContactPhone` (string)
    The phone number of the merchant's disputes department.

  - `data.externalId` (string)
    A lender's identifier for the merchant.

  - `data.parentMerchantId` (string)
    The parent merchant identifier. Used to represent hierarchy of merchant sub entities.
Can be Peach or lender's external identifier.

  - `data.primaryContactEmail` (string)
    The email of the merchant's primary contact person or department.

  - `data.primaryContactName` (string)
    The name of the merchant's primary contact person or department.

  - `data.primaryContactPhone` (string)
    The phone number of the merchant's primary contact person or department.

  - `data.subEntityname` (string)
    The sub entity business name of the merchant. For example: Online Sephora.

